Name:          sqlitestudio
Version:       3.2.1
Release:       %mkrel 5
Summary:       A SQLite database manager
License:       GPLv3
Group:         Development/Other
URL:           https://sqlitestudio.pl/
Source0:       http://sqlitestudio.pl/files/sqlitestudio3/complete/tar/%{name}-%{version}.tar.gz
Patch0:        sqlitestudio-3.1.0-fix-install.patch
Patch1:        sqlitestudio-3.1.1-fix-build-against-qt-5.11.0.patch
BuildRequires: pkgconfig(sqlite3)
BuildRequires: readline-devel
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: qttools5

%description
SQLiteStudio is a SQLite database manager with the following features:

* Single executable file
* Intuitive interface
* All SQLite3 and SQLite2 features wrapped within simple GUI
* Cross-platform
* Localizations
* Exporting to various formats
* Importing data from various formats
* Numerous small additions
* UTF-8 support
* Skinnable
* Configurable colors, fonts and shortcuts
* Open source and free

%prep
%setup -q -c
%autopatch -p1

%build
cd SQLiteStudio3
%qmake_qt5 -recursive LIBDIR=%{_libdir} DATADIR=%{_datadir}

%make_build

%install
cd SQLiteStudio3
%make_install INSTALL_ROOT=%{buildroot}

# remove unneeded devel files
find %{buildroot} -name '*.so' -delete

install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=SQLite Studio
Comment=A SQLite database manager
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;Database;
MimeType=application/x-sqlite3;
EOF

%files
%doc SQLiteStudio3/docs/* SQLiteStudio3/coreSQLiteStudio/ChangeLog.txt
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_libdir}/libcoreSQLiteStudio.so*
%{_libdir}/libguiSQLiteStudio.so*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 3.2.1-5.mga8
+ Revision: 1659926
- Rebuild for new Qt5

* Wed Feb 19 2020 umeabot <umeabot> 3.2.1-4.mga8
+ Revision: 1542731
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 luigiwalser <luigiwalser> 3.2.1-3.mga8
+ Revision: 1476818
- rebuild for readline

* Tue Apr 02 2019 umeabot <umeabot> 3.2.1-2.mga7
+ Revision: 1384883
- Qt5 Rebuild

* Sun Feb 10 2019 daviddavid <daviddavid> 3.2.1-1.mga7
+ Revision: 1364973
- new version: 3.2.1

* Sun Sep 23 2018 umeabot <umeabot> 3.1.1-3.mga7
+ Revision: 1301159
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 daviddavid <daviddavid> 3.1.1-2.mga7
+ Revision: 1233414
- add patch to fix build with new Qt5 >= 5.11.0

* Tue Feb 27 2018 daviddavid <daviddavid> 3.1.1-1.mga7
+ Revision: 1205450
- new version: 3.1.1

* Tue Jan 02 2018 wally <wally> 3.1.0-2.mga7
+ Revision: 1189472
- rebuild for new readline

* Sun Oct 23 2016 neoclust <neoclust> 3.1.0-1.mga6
+ Revision: 1063326
- imported package sqlitestudio


* Wed Nov 25 2015 Huaren Zhong <huaren.zhong@gmail.com> 3.0.7
- Rebuild for Fedora
